Modularize the search view
Status: Closed Start date: 09/08/2017

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.0   

Description

Associated revisions

Revision 785 - 09/10/2017 05:58 AM - lukemurphey

Adding version of search view using riot

Reference #2053

Revision 800 - 09/10/2017 05:58 AM - lukemurphey

Adding version of search view using riot

Reference #2053

Revision 787 - 09/10/2017 06:02 AM - lukemurphey

Rendering the charts

Reference #2053

Revision 802 - 09/10/2017 06:02 AM - lukemurphey

Rendering the charts

Reference #2053

Revision 788 - 09/11/2017 04:38 AM - lukemurphey

Finalizing the search view that is based on riot

Reference #2053

Revision 803 - 09/11/2017 04:38 AM - lukemurphey

Finalizing the search view that is based on riot

Reference #2053
History

#1 - 09/08/2017 07:07 AM - Luke Murphey

Still need to some things

Functional

1. Handle the overlay

2. Update the URL

3. Pop state on reversal

4. Load parameters from the URL

5. Wire-up next/previous buttons

6. Run search automatically in defined cases

7. Render charts (might want to convert to a mixin)

8. Wire-up checkboxes

9. Show error on search failures

Design questions

1. Work in the styles

2. Design new tests

#2 - 09/08/2017 07:07 AM - Luke Murphey

- Status changed from New to In Progress

- % Done changed from 0 to 40

#3 - 09/10/2017 04:40 AM - Luke Murphey

Some functions could likely be removed:

contains_search_words

do_search

set_caret_at_end

do_fresh_search

do_search_next

do_search_previous

search_page_popstate

#4 - 09/11/2017 04:47 AM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 40 to 100
